//
// HtHTTPBasic.cc
//
// HtHTTPBasic: Class for HTTP messaging (derived from Transport)
//              Does not handle HTTPS connections -- use HtHTTPSecure
//
// Part of the ht://Dig package   <http://www.htdig.org/>
// Copyright (c) 1995-2001 The ht://Dig Group
// For copyright details, see the file COPYING in your distribution
// or the GNU Public License version 2 or later
// <http://www.gnu.org/copyleft/gpl.html>
//
// $Id: HtHTTPBasic.cc,v 1.1.2.2 2001/07/03 21:39:04 grdetil Exp $ 
//

#ifdef HAVE_CONFIG_H
#include "htconfig.h"
#endif /* HAVE_CONFIG_H */

#include <iostream.h>
#include "HtHTTPBasic.h"

// HtHTTPBasic constructor
//
HtHTTPBasic::HtHTTPBasic()
{
  // Create a new "basic" connection
  //
  _connection = new Connection();

  // Check it
  //
  if( _connection == NULL )
    {
      cout << "Could not create new connection\n";
      exit(1);
    }
}

// HtHTTPBasic destructor
//
HtHTTPBasic::~HtHTTPBasic()
{
  // Free up the Connection
  //
  CloseConnection();
  if (_connection)
    delete _connection;
  _connection = 0;
}

